Arguments$getIndices {R.utils} | R Documentation

## Coerces to a integer vector and validates

### Description

Coerces to a integer vector and validates.

### Usage

    ## Static method (use this):
    ## Arguments$getIndices(x, ..., max=Inf, range=c(1 * (max > 0L), max), .name=NULL)

    ## Don't use the below:
    ## S3 method for class 'Arguments'
    getIndices(static, x, ..., max=Inf, range=c(1 * (max > 0L), max), .name=NULL)

### Arguments

`x` | A single `vector`. If `logical`, `which`() is used.
`...` | Arguments passed to @method "getIntegers".
`range` | Allowed range. See @method "getNumerics" for details.
`max` | The maximum of the default range.
`.name` | A `character` string for name used in error messages.

### Value

Returns an `integer` `vector`.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Arguments`.

[Package R.utils version 2.6.0 Index]